Subject: [sipcore] Misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229: P-Charging-Function-Addresses

From: Christer Holmberg <[email-masked]>
Date: Thu, 3 Dec 2015 11:41:19 +0000

Hi,

3GPP has been studying possible misalignments between the P- header definitions in RFC 3455, RFC 7315 and 3GPP TS 24.229.

Rather than posting all the issues in a single e-mail, I will send e-mails per header field. This e-mail is about P-Charging-Function-Addresses  (PCFA), where one issue was identified.

Issue 1)             RFC 7315 allows PCFA in responses.

RFC 3455 and 3GPP TS 24.229 allow PCFA in both requests and responses. However, RFC 7315 is incositent.

Chapters 4.5, 4.5.2.1 and 4.5.2.2 imply that the PCFA can be used in both requests and responses.

However, chapter 5.7 says:

                "The P-Charging-Function-Addresses
               header field can appear in all SIP methods except ACK and CANCEL."

I assume this is just a bug in section 5.7, which could be fixed with an errata:

OLD TEXT:

                "The P-Charging-Function-Addresses
               header field can appear in all SIP methods except ACK and CANCEL."

NEW TEXT:

                "The P-Charging-Function-Addresses
               header field can appear in all SIP methods except ACK and CANCEL
               and in all responses."

Regards,

Christer